// Zeichnet fr den Spieler sichtbar Wegpunkte auf der Karte ein. [Vienna 14.08.2011]
//
// Wegpunkt 0 wird automatisch an der Spielerposition erstellt.
//
// globale Status-Variable   ViennaMyHeliWP
// 4 = Wegpunkte korrekt, Skript beenden
//
// Wegpunkte vom Spieler (ohne Wegpunkt 0) auf KI bertragen. _p = <KI-Soldat>
//	_p call _clearAllWP;
//	for [{_i=0},{Count Waypoints player > _i+1},{_i=_i+1}] do {[_p,waypointPosition[group player, _i+1],"MOVE"] call _addWP};
//	player call _clearAllWP;
//
// Parameter: Maximale Wegpunkte
//
// Aufruf fr max. 2 Wegpunkte: 2 execVM "myHeli\myHeliWaypoints.sqf";


private ["_clearAllWP","_addWP","_p","_n","_maxWP"];

//Funktion alle Wegpunkgte lschen. Aufurf: <Objekt> call _clearAllWP
	_clearAllWP = compile "private['_w'];for[{_w=Count Waypoints _this},{_w>=0},{_w=_w-1}]do{deleteWaypoint[group _this,_w]}";

//Funktion Wegpunkt hinzufgen. Aufruf: [<Objekt>,[<Position>],"Type"] call _addWP
	_addWP = compile "Private['_w'];_w=group(_this select 0)AddWaypoint[_this select 1,Count Waypoints (_this select 0)];_w SetWaypointType (_this select 2);_w ShowWaypoint'always';_w";
	
// globale Variable fr Kartenklick
	ViennaMyHeliWPpos = [];

// _p: Pilot
	_p = player;
	
// _n: Anzahl der Wegpunkte
	_n = 0;
// _maxWP: maximale Wegpunkte
	_maxWP = _this;
	
// Karte anzeigen 
openMap [true, false]; 

player groupChat format["Durch Klick in die Karte %1 Wegpunkte eintragen!",_maxWP];

_p call _clearAllWP; // alle Wegpunkte lschen
[_p,position _p,"HOLD"] call _addWP; // Startwegpunkt auf dem Objekt

//Schleife fr Eingabe der Wegpunkte
ViennaMyHeliWP = 0;
onMapSingleClick "ViennaMyHeliWPpos = _pos";
while {ViennaMyHeliWP != 4 AND visibleMap} do
	{
		if (count ViennaMyHeliWPpos > 0) then //Wegpunkt setzen
			{
				if (_n < _maxWP) then // Maximal _maxWP Wegpunkte
					{
						[_p,ViennaMyHeliWPpos,"MOVE"] call _addWP;
						_n = _n + 1;
						player groupChat format["Wegpunkt %1 von  %2",_n,_maxWP]
					};
				sleep 1;
				ViennaMyHeliWPpos = []
			};	 
		if (_n == _maxWP) then //Skript beenden
			{
				ViennaMyHeliWP = 4
			};
		sleep 0.1
	};
if (ViennaMyHeliWP != 4) then {_p call _clearAllWP};	

onMapSingleClick "";

//Karte schlieen
openMap [false, false] 
